#   ______________________________________________________________________
#   <RCircos DEMO><RCircos DEMO><RCircos DEMO><RCircos DEMO><RCircos DEMO>
#
#       This demo draw chromosome ideogram with padding between 
#       chromosomes, highlights, chromosome names, and tile plot. 
#   ______________________________________________________________________
#   <RCircos DEMO><RCircos DEMO><RCircos DEMO><RCircos DEMO><RCircos DEMO>


    #   Load RCircos library
    #   ================================================
    library(RCircos);

    #   Load human cytoband data and gene expression data
    #   ================================================
    data(RCircos.Tile.Data);
    data(UCSC.HG19.Human.CytoBandIdeogram);
    cyto.info <- UCSC.HG19.Human.CytoBandIdeogram;

    #   Setup RCircos core components:
    #   ================================================
    RCircos.Set.Core.Components(cyto.info, NULL, 10, 0);

    #   Open the graphic device (here a pdf file)
    #   ================================================
    out.file <- "RCircos.Tile.Plot.Demo.pdf";
    pdf(file=out.file, height=8, width=8);

    RCircos.Set.Plot.Area();

    #   Draw chromosome ideogram
    #   ================================================
    message("Draw chromosome ideogram ...");

    RCircos.Chromosome.Ideogram.Plot();
    title("RCircos Tile Plot Demo");

    #   Tile plot. Note: tile plot data have chromosome 
    #   locations only and one data file is for one track
    #   ================================================
    message("Add tile track ...");

    tile.data <- RCircos.Tile.Data;
    tile.colors <- rainbow(nrow(tile.data));
    tile.data["PlotColor"] <- tile.colors;

    track.num <- 9;
    RCircos.Tile.Plot(tile.data, track.num, "in");

    #   Close the graphic device and clear memory
    #   ================================================
    dev.off();
    message("RCircos Tile Plot Demo Done!\n");

